summaryrefslogtreecommitdiffstats
path: root/configure
diff options
context:
space:
mode:
authorMatthias Schiffer <matthias@gamezock.de>2008-09-20 18:06:42 +0200
committerMatthias Schiffer <matthias@gamezock.de>2008-09-20 18:06:42 +0200
commit84f69d7aacef531c0ad809d7511c7ab7bce7469c (patch)
tree5e2aad8ec1c4d577d5bf15aa37560d3f14578d21 /configure
parent89551ddfc2879530981eba3db9ab857b88409ad8 (diff)
downloadmad-84f69d7aacef531c0ad809d7511c7ab7bce7469c.tar
mad-84f69d7aacef531c0ad809d7511c7ab7bce7469c.zip
/proc/meminfo ohne regul?re Ausdr?cke verarbeiten
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure131
1 files changed, 23 insertions, 108 deletions
diff --git a/configure b/configure
index 5c2e44d..fe1b34a 100755
--- a/configure
+++ b/configure
@@ -878,8 +878,6 @@ GnuTLS_CFLAGS
GnuTLS_LIBS
sigc_CFLAGS
sigc_LIBS
-PCRECPP_CFLAGS
-PCRECPP_LIBS
GSSAPI_LIBS
READLINE_LIBS
LIBOBJS
@@ -902,9 +900,7 @@ PKG_CONFIG
GnuTLS_CFLAGS
GnuTLS_LIBS
sigc_CFLAGS
-sigc_LIBS
-PCRECPP_CFLAGS
-PCRECPP_LIBS'
+sigc_LIBS'
# Initialize some variables set by options.
@@ -1519,10 +1515,6 @@ Some influential environment variables:
GnuTLS_LIBS linker flags for GnuTLS, overriding pkg-config
sigc_CFLAGS C compiler flags for sigc, overriding pkg-config
sigc_LIBS linker flags for sigc, overriding pkg-config
- PCRECPP_CFLAGS
- C compiler flags for PCRECPP, overriding pkg-config
- PCRECPP_LIBS
- linker flags for PCRECPP, overriding pkg-config
Use these variables to override the choices made by `configure' or to help
it to find libraries and programs with nonstandard names/locations.
@@ -5170,13 +5162,13 @@ if test "${lt_cv_nm_interface+set}" = set; then
else
lt_cv_nm_interface="BSD nm"
echo "int some_variable = 0;" > conftest.$ac_ext
- (eval echo "\"\$as_me:5173: $ac_compile\"" >&5)
+ (eval echo "\"\$as_me:5165: $ac_compile\"" >&5)
(eval "$ac_compile" 2>conftest.err)
cat conftest.err >&5
- (eval echo "\"\$as_me:5176: $NM \\\"conftest.$ac_objext\\\"\"" >&5)
+ (eval echo "\"\$as_me:5168: $NM \\\"conftest.$ac_objext\\\"\"" >&5)
(eval "$NM \"conftest.$ac_objext\"" 2>conftest.err > conftest.out)
cat conftest.err >&5
- (eval echo "\"\$as_me:5179: output\"" >&5)
+ (eval echo "\"\$as_me:5171: output\"" >&5)
cat conftest.out >&5
if $GREP 'External.*some_variable' conftest.out > /dev/null; then
lt_cv_nm_interface="MS dumpbin"
@@ -6274,7 +6266,7 @@ ia64-*-hpux*)
;;
*-*-irix6*)
# Find out which ABI we are using.
- echo '#line 6277 "configure"' > conftest.$ac_ext
+ echo '#line 6269 "configure"' > conftest.$ac_ext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
@@ -8263,11 +8255,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:8266: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:8258: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:8270: \$? = $ac_status" >&5
+ echo "$as_me:8262: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -8587,11 +8579,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:8590: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:8582: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:8594: \$? = $ac_status" >&5
+ echo "$as_me:8586: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -8692,11 +8684,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:8695: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:8687: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:8699: \$? = $ac_status" >&5
+ echo "$as_me:8691: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -8747,11 +8739,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:8750: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:8742: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:8754: \$? = $ac_status" >&5
+ echo "$as_me:8746: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -11508,7 +11500,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<_LT_EOF
-#line 11511 "configure"
+#line 11503 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -11608,7 +11600,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<_LT_EOF
-#line 11611 "configure"
+#line 11603 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -13611,11 +13603,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:13614: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:13606: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:13618: \$? = $ac_status" >&5
+ echo "$as_me:13610: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -13710,11 +13702,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:13713: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:13705: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:13717: \$? = $ac_status" >&5
+ echo "$as_me:13709: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -13762,11 +13754,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:13765: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:13757: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:13769: \$? = $ac_status" >&5
+ echo "$as_me:13761: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -15030,82 +15022,7 @@ echo "${ECHO_T}yes" >&6; }
:
fi
-pkg_failed=no
-{ echo "$as_me:$LINENO: checking for PCRECPP" >&5
-echo $ECHO_N "checking for PCRECPP... $ECHO_C" >&6; }
-
-if test -n "$PKG_CONFIG"; then
- if test -n "$PCRECPP_CFLAGS"; then
- pkg_cv_PCRECPP_CFLAGS="$PCRECPP_CFLAGS"
- else
- if test -n "$PKG_CONFIG" && \
- { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libpcrecpp\"") >&5
- ($PKG_CONFIG --exists --print-errors "libpcrecpp") 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; then
- pkg_cv_PCRECPP_CFLAGS=`$PKG_CONFIG --cflags "libpcrecpp" 2>/dev/null`
-else
- pkg_failed=yes
-fi
- fi
-else
- pkg_failed=untried
-fi
-if test -n "$PKG_CONFIG"; then
- if test -n "$PCRECPP_LIBS"; then
- pkg_cv_PCRECPP_LIBS="$PCRECPP_LIBS"
- else
- if test -n "$PKG_CONFIG" && \
- { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libpcrecpp\"") >&5
- ($PKG_CONFIG --exists --print-errors "libpcrecpp") 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; then
- pkg_cv_PCRECPP_LIBS=`$PKG_CONFIG --libs "libpcrecpp" 2>/dev/null`
-else
- pkg_failed=yes
-fi
- fi
-else
- pkg_failed=untried
-fi
-
-
-
-if test $pkg_failed = yes; then
-
-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
- _pkg_short_errors_supported=yes
-else
- _pkg_short_errors_supported=no
-fi
- if test $_pkg_short_errors_supported = yes; then
- PCRECPP_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "libpcrecpp"`
- else
- PCRECPP_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "libpcrecpp"`
- fi
- # Put the nasty error message in config.log where it belongs
- echo "$PCRECPP_PKG_ERRORS" >&5
-
- { echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6; }
- { { echo "$as_me:$LINENO: error: Test for PCRECPP failed." >&5
-echo "$as_me: error: Test for PCRECPP failed." >&2;}
- { (exit 1); exit 1; }; }
-elif test $pkg_failed = untried; then
- { { echo "$as_me:$LINENO: error: Test for PCRECPP failed." >&5
-echo "$as_me: error: Test for PCRECPP failed." >&2;}
- { (exit 1); exit 1; }; }
-else
- PCRECPP_CFLAGS=$pkg_cv_PCRECPP_CFLAGS
- PCRECPP_LIBS=$pkg_cv_PCRECPP_LIBS
- { echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6; }
- :
-fi
-
-CPPFLAGS="$GnuTLS_CFLAGS $sigc_CFLAGS $PCRECPP_CFLAGS $CPPFLAGS"
+CPPFLAGS="$GnuTLS_CFLAGS $sigc_CFLAGS $CPPFLAGS"
ORIG_LIBS=$LIBS
@@ -18094,15 +18011,13 @@ GnuTLS_CFLAGS!$GnuTLS_CFLAGS$ac_delim
GnuTLS_LIBS!$GnuTLS_LIBS$ac_delim
sigc_CFLAGS!$sigc_CFLAGS$ac_delim
sigc_LIBS!$sigc_LIBS$ac_delim
-PCRECPP_CFLAGS!$PCRECPP_CFLAGS$ac_delim
-PCRECPP_LIBS!$PCRECPP_LIBS$ac_delim
GSSAPI_LIBS!$GSSAPI_LIBS$ac_delim
READLINE_LIBS!$READLINE_LIBS$ac_delim
LIBOBJS!$LIBOBJS$ac_delim
LTLIBOBJS!$LTLIBOBJS$ac_delim
_ACEOF
- if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 23; then
+ if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 21; then
break
elif $ac_last_try; then
{ { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5